#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QIcon>
#include <QUdpSocket>
#include <QMessageBox>
#include <QGraphicsScene>
#include <QPixmap>
#include <QFile>
#include <QTextStream>
#include <QTimer>

//#include "disframeitem.h"
#define BLOCKSIZE 38400

struct udptransbuf//包格式
{
    char buf[BLOCKSIZE];//存放数据的变量
    int flag;//标志

};
namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    quint16 portSer;
    quint16 portCli;
    QHostAddress *hostaddrSer;
    QHostAddress *hostaddrCli;
    QGraphicsScene *videoScene;
    int framWidth;
    int framHeight;
    struct udptransbuf udprecdata;
    int count=0;
    QByteArray tempdata;

private:
    Ui::MainWindow *ui;
    QUdpSocket *udpSocket;
   // DisFrameItem *videoItem;
    QImage *captureImage;
    unsigned char *capframe;
    QTimer *timer;


public slots:
    void sendData();
    void receiveData();
    void disimage();
};


#endif // MAINWINDOW_H
